Package org.eclipse.emf.cdo.spi.common.branch

## Class InternalCDOBranchManager.BranchLoader.BranchInfo

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader.BranchInfo

- Enclosing interface:
    InternalCDOBranchManager.BranchLoader

      public static final class InternalCDOBranchManager.BranchLoader.BranchInfo
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BranchInfo​(java.lang.String name, int baseBranchID, long baseTimeStamp)` |
    `BranchInfo​(CDODataInput in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBaseBranchID()` |
    `long` | `getBaseTimeStamp()` |
    `java.lang.String` | `getName()` |
    `void` | `setName​(java.lang.String name)` |
    `java.lang.String` | `toString()` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BranchInfo

          public BranchInfo​(java.lang.String name,
                            int baseBranchID,
                            long baseTimeStamp)

    - #### BranchInfo

          public BranchInfo​(CDODataInput in)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

      Since:
        4.4

    - #### getBaseBranchID

          public int getBaseBranchID()

    - #### getBaseTimeStamp

          public long getBaseTimeStamp()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`